[Fusionforge-commits] r12451 - trunk/tests/lxc

Christian Bayle cbayle at fusionforge.org
Mon Feb 28 23:49:11 CET 2011


Author: cbayle
Date: 2011-02-28 23:49:10 +0100 (Mon, 28 Feb 2011)
New Revision: 12451

Modified:
   trunk/tests/lxc/Makefile
Log:
add setname target


Modified: trunk/tests/lxc/Makefile
===================================================================
--- trunk/tests/lxc/Makefile	2011-02-28 22:37:12 UTC (rev 12450)
+++ trunk/tests/lxc/Makefile	2011-02-28 22:49:10 UTC (rev 12451)
@@ -68,6 +68,10 @@
 	[ -d $(VMROOT)/etc/ssh ] || mkdir -p $(VMROOT)/rootfs/etc/ssh
 	cp ssh/ssh_host_* $(VMROOT)/rootfs/etc/ssh/
 
+setname: beroot
+	echo "debian6.local" > $(VMROOT)/rootfs/etc/hostname
+	grep -q debian6.local $(VMROOT)/rootfs/etc/hosts || echo "$(IPDEBBASE).$(VEIDDEB)	debian6.local debian6" >> $(VMROOT)/rootfs/etc/hosts
+
 beroot:
 	@[ $(shell id -u) = "0" ] || (echo "you should be root to run this" ; exit 1)
 




More information about the Fusionforge-commits mailing list